Skip to main content
POST
https://api.nanoclip.ai
/
v1
/
projects
/
upload
Create Upload Project
curl --request POST \
  --url https://api.nanoclip.ai/v1/projects/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "content_type": "<string>"
}
'
{
  "project_id": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "source": {
    "type": "<string>",
    "filename": "<string>",
    "content_type": "<string>",
    "size_bytes": 123,
    "url": "<string>"
  },
  "upload_url": "<string>",
  "upload_headers": {},
  "upload_expires_in_seconds": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filename
string
required
Required string length: 1 - 255
content_type
string
required
Required string length: 1 - 255
size_bytes
integer | null
Required range: x > 0

Response

Successful Response

project_id
string
required
status
string
required
created_at
string
required
source
ProjectSourceResponse · object
required
upload_url
string
required
upload_headers
Upload Headers · object
required
upload_expires_in_seconds
integer
required